[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'math' (#rtl)

# hypot

Return hypotenuse of triangle

## Declaration

Source position: math.pp line 307

`function hypot(`
`x: float;`
`y: float`
`):float;`

## Description

Hypot returns the hypotenuse of the triangle where the sides adjacent to the square angle have lengths x and y. The function uses Pythagoras' rule for this.

## Errors

None.

## Example

    Program Example17;

    { Program to demonstrate the hypot function. }

    Uses math;

    begin
      Writeln(hypot(3,4)); // should be 5
    end.

Documentation generated on: Feb 26 2014